close all,
%
u=simout.signals.values(:,1);
y=simout.signals.values(:,2);
N=length(y);
t=(1:N)';
n=200;
%
theta0=thetaRIV.signals.values(end,:);
a=[1,theta0(1),theta0(2)];
b=[0,theta0(3),theta0(4)];
z=filter(b,a,u);
figure(1),
plot(t(1:n),u(1:n),'k',t(1:n),y(1:n),'r',t(1:n),z(1:n),'b'),
err0=OutputError(theta0,u,y);
title(['Avant optimisation: erreur= ',num2str(err0)]);
%
options = optimset('Display','iter','TolFun',1e-2)
[theta,err,exitflag,output] = fminsearch(@OutputError,theta0,options,u,y);
%
a=[1,theta(1),theta(2)];
b=[0,theta(3),theta(4)];
z=filter(b,a,u);
figure(2),
plot(t(1:n),u(1:n),'k',t(1:n),y(1:n),'r',t(1:n),z(1:n),'b'),
title(['Aprs optimisation: erreur= ',num2str(err)]);
disp(a),
disp(b),