close all,
%
u=simout.signals.values(:,1);
y=simout.signals.values(:,2);
N=length(y);
t=(1:N)';
n=90;
%
% theta=thetaRLS.signals.values(end,:);
theta=thetaRLS.signals.values(end,:);
% theta=[-1.5,0.7,1,0.5];

figure(1),
a=[1,theta(1),theta(2)];
b=[0,theta(3),theta(4)];
z=filter(b,a,u);
plot(t,y,'r',t,z,'b'),
title('Ecart procd et modle en prdiction pure');

figure(2),
T=3:N;
ypred=-theta(1)*y(T-1)-theta(2)*y(T-2)+theta(3)*u(T-1)+theta(4)*u(T-2);
yreel=y(T);
plot(t(T(1:n)),yreel(T(1:n)),'r',t(T(1:n)),ypred(T(1:n)),'b'),
title('Erreur de prdiction pas  pas entre procd et modle');

figure(3);
d=yreel-ypred;
[cov_d,lags] = xcov(d,20,'coeff');
stem(lags,cov_d)
hold on,
s=2.17/sqrt(N);
plot([-20,20],[s,s],'k',[-20,20],[-s,-s],'k'),
title('Autocorrlation de l''erreur de prdiction'),
hold off,

figure(4);
[cov_du,lags] = xcov(d/std(y),(u(T)-mean(u(T)))/std(u(T)),20,'coeff');
stem(lags,cov_du)
hold on,
s=2.17/sqrt(N);
plot([-20,20],[s,s],'k',[-20,20],[-s,-s],'k'),
title('Corrlation entre l''erreur de prdiction et l''entre'),
hold off,

